Package org.apache.iotdb.jdbc

## Class IoTDBSQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.apache.iotdb.jdbc.IoTDBSQLException

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Iterable<java.lang.Throwable>`

    public class IoTDBSQLException
    extends java.sql.SQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IoTDBSQLException​(java.lang.String reason)`
`IoTDBSQLException​(java.lang.String reason, org.apache.iotdb.service.rpc.thrift.TSStatus status)`
`IoTDBSQLException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### IoTDBSQLException

    public IoTDBSQLException​(java.lang.String reason)

#### IoTDBSQLException

    public IoTDBSQLException​(java.lang.String reason,
                             org.apache.iotdb.service.rpc.thrift.TSStatus status)

#### IoTDBSQLException

    public IoTDBSQLException​(java.lang.Throwable cause)